#!/usr/bin/env python3
# -*- coding: utf-8 -*-
'''
This script checks services that require /home are started.
If /home is not mounted, a mail is sent and in the other case,
it checks that all services that depend on /home are started.
'''
import datetime
import imp
import os
import socket
import sys
import time


if __name__ == '__main__':
    ec = os.system('cat /etc/fstab | grep /home')
    if ec != 0:
        # /home is not a mount point
        print('/home is not a mount point.')
        sys.exit(0)
    ec = os.system('mount | grep /home')
    if ec == 0:
        # /home is correctly mounted
        sys.exit(0)
    time.sleep(10)
    os.system('mount -a')
    ec = os.system('mount | grep /home')
    if ec != 0:
        time.sleep(60)
        os.system('mount -a')
        ec = os.system('mount | grep /home')
    if ec != 0:
        # Mounting has failed, send a email to warn admins
        if os.path.exists('/etc/mediaserver/msconf.py'):
            from django.conf import settings
            config = imp.load_source('config', '/etc/mediaserver/msconf.py')
            settings.configure(**config.__dict__)
            from django.core.mail import send_mail
            send_mail(
                'The system %s did not correctly mount home partition' % socket.gethostname(),
                'Date: %s' % datetime.datetime.now(),
                '"%s" <support@ubicast.eu>' % socket.gethostname(),
                ['"Support" <support@ubicast.eu>'],
                fail_silently=True
            )
    else:
        os.system('service mediaserver restart')
        os.system('service msmonitor restart')
        os.system('service campus-manager restart')
